---
name: "Bug report 🐛"
about: "Create a bug report to help improve traffic"
labels: "bug"
assignees: xoolive
---

Explain your bug here...

---

Please follow these steps to make it more efficient to solve your issue:

- [ ] Search for duplicate issues.
- [ ] Use the latest version of traffic, ideally the HEAD of the github, and activate the `DEBUG` logging level.
- [ ] Describe how to reproduce the bug and include the full code and data to reproduce it, ideally using a sample trajectory from the library. Sample trajectories are extensively used in the tests suite.
- [ ] Limit the output of your exceptions to what is strictly necessary.

You may activate the `DEBUG` level with the following snippet:

```python
import logging
logging.basicConfig(level=logging.DEBUG)
```
